
Name:		xtables-addons
Version:	1.47.1
Release:	1.7
Group:		Productivity/Networking/Security
Summary:	IP Packet Filter Administration Extensions
License:	GPL

Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	kernel-source, kernel-syms, iptables-devel >= 1.4.5
BuildRequires:	pkg-config >= 0.23
##BuildRequires:	libmnl-devel >= 1
BuildRequires:  module-init-tools
Requires:	%{name}-kmp
##%if 0%{?suse_version} >= 1140
##Provides:       ipset = 6.10.0
##%endif
%if 0%{?suse_version}
Recommends:     %name-kmp
Recommends:     xtables-geoip
%else
Requires:       xtables-geoip
%endif

%suse_kernel_module_package

%description
Xtables is used to set up, maintain, and inspect the tables of IP
packet filter rules in the Linux kernel.

Xtables-addons provides extra modules not present in the kernel.

%prep
%setup -q

%build
##%if 0%{?suse_version} < 1140
### ipset6-genl needs >=2.6.35, which is usually not present before 11.4
##echo "build_ipset6=" >>mconfig;
%if 0%{?suse_version} < 1210
# xt_ECHO needs kernel 3.x? 
echo "build_ECHO=" >>mconfig
%endif
pushd ../;
for flavor in %{flavors_to_build}; do
	cp -a %{name}-%{version} %{name}-${flavor}-%{version};
	pushd %{name}-${flavor}-%{version}/;
	%configure --with-kbuild=/usr/src/linux-obj/%{_target_cpu}/${flavor} --libexecdir=%{_libdir}
	%__make %{?jobs:-j%jobs};
	popd;
done;

%install
b="%buildroot";
rm -Rf "$b";
mkdir "$b";
pushd ../;
for flavor in %{flavors_to_build}; do
	pushd %{name}-${flavor}-%{version}/;
	%__make install DESTDIR="$b";
	popd;
done;
# There is no -devel package. So no need for these files.
find "$b/%_prefix" -iname "*.la" -delete;
find "$b/%_libdir" -maxdepth 1 -type l -iname "*.so" -delete;
 
%post -p /sbin/ldconfig
 
%postun -p /sbin/ldconfig

%clean
rm -Rf "%buildroot";

%files
%defattr(-,root,root)
%{_libdir}/xtables/*
%{_libdir}/libxt_ACCOUNT_cl.so*
%_mandir/*/*
%_sbindir/*
%dir %{_libdir}/xtables-addons
%{_libdir}/xtables-addons/xt_geoip_build
%{_libdir}/xtables-addons/xt_geoip_dl

%changelog
* Tue Oct 16 2012 cs@linux-administrator.com
- Update to release 1.47.1
* Tue Jul 17 2012 cs@linux-administrator.com
- Update to release 1.45
* Sat Apr 21 2012 cs@linux-administrator.com
- Update to release 1.42
